OBJECTS
Fetch Object Subscriptions
API to fetch a paginated list of all parent objects that the given child object is subscribed to.
GET
/
v1
/
object
/
{object_type}
/
{id}
/
subscribed_to
/
object
/
Fetch Object subscriptions
curl --request GET \
--url https://hub.suprsend.com/v1/object/{object_type}/{id}/subscribed_to/object/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscribed_to/object/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/object/{object_type}/{id}/subscribed_to/object/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 1,
"limit": 10,
"has_prev": false,
"before": null,
"has_next": false,
"after": null
},
"results": [
{
"properties": {},
"object": {
"id": "frontend",
"object_type": "developer",
"properties": {
"name": "frontend",
"technology": "react"
},
"subscriptions_count": 3,
"updated_at": "2024-11-10T21:41:02.673661+00:00"
},
"created_at": "2025-04-06T11:00:24.260496+00:00",
"updated_at": "2025-04-06T11:00:24.260496+00:00"
}
]
}{
"code": 404,
"message": "object 'obj_type/obj_id' not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Unique identifier of the object in your system
Used to group similar objects together. Give plural namespace like teams, organizations, and roles.
Query Parameters
number of results to be returned in API response
Was this page helpful?
Previous
List Objects by TypeAPI to fetch paginated list of objects that belong to the specified `object_type`.
Next
⌘I
Fetch Object subscriptions
